---
title: Reviews *New*
slug: serpwow/search-api/searches/google/product-reviews
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Google Product Reviews Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=google&search_type=product_reviews`

The Google Product Reviews Parameters are applicable when making a request with  `search_type=product_reviews` to retrieve product reviews results for a given product ID and gpc ID. The product ID is specified in the  `product_id`  parameter and the gpc ID is specified in the `gpc_id` parameter. The request also requires a next page token specified in `next_page_token` parameter. You should also specify a  `location`  parameter to geo-locate the request (locations can be retrieved via the [Locations API](https://docs.trajectdata.com/serpwow/locations-api/overview)).

Google Product IDs and GPC IDs are returned by [Google Shopping search](https://docs.trajectdata.com/serpwow/search-api/results/google/shopping) requests.

:::hint{type="info"}
**Products & Location**
Google Product pages are highly location-sensitive so it is important that you specify a  `location`  that matches the location that was used to retrieve the  `product_id`  in the original [Google Shopping search](https://docs.trajectdata.com/serpwow/search-api/searches/google/shopping) request. To ensure appropriate product details are returned, either `location` or `gl` and `hl` are required for `search_type=product_reviews`.
:::

:::hint{type="info"}
**Product Reviews Pagination**
Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each  `search_type=product_reviews`  result will return a  `next_page_token`  in its'  `product_results.pagination`  object. This  `next_page_token`  can be passed in to the  `next_page_token`  request parameter to retrieve the next page of Product Reviews results.
:::

![](https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/8cL3wT0doWXB-SvGzimRo_image.png "Google Product Reviews")

For example, to request product reviews results for the product ID  `2826726591980094389` and gpc id `2883234210698146338` along with `next_page_token` in the location `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&search_type=product_reviews&product_id=2826726591980094389&gpc_id=2883234210698146338&next_page_token=EtgBCtUBIswBAcdZaXeSYiyeI1FBGl-hyGxyyblCbZ5FRXSlbs5VijbA834VybmbBdTZU9ckhbKtWuFdkM6Y9gFVRC8ji_gyswXmM6P_xMjphFdzcoQcx1fNWQFS_1vCTNHJ6tTDoU_4jUh-_4i_ZGIBCEqhr55q09CbDMOP6OtsTVEQbkf0SUicBcKRIm1Q5P5cFMMMux81qG7l5AMtrm-5SqDIWGW7CJzdJ1KvmEWq5eLEHN5dpAQBLvDt5O2wBJkCIEsdEEr2hlpfY7YlihZkJdgoKKOJgswG&location=United+States
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d product_id="13244508647295616715" \
-d search_type="product" \
-d product_type="reviews" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  product_id: "13244508647295616715",
  search_type: "product",
  product_type: "reviews",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.serpwow.com/live"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'product_id': '13244508647295616715',
  'search_type': 'product',
  'product_type': 'reviews',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'product_id' => '13244508647295616715',
  'search_type' => 'product',
  'product_type' => 'reviews',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Product Reviews Parameters

The following parameters are available for all requests made when   `search_type=product_reviews` .

| `Parameter`       | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ----------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `engine`          | `required` | Should be set to `engine=google` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `search_type`     | `required` | Should be set to `search_type=product_reviews` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `product_id`      | `required` | The Google Product ID to retrieve. Google Product IDs are returned by [Google Shopping search ](https://docs.trajectdata.com/serpwow/search-api/results/google/shopping)requests.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `gpc_id`          | `required` | The Google Product GPC ID to retrieve. Google Product GPC IDs are returned by [Google Shopping search ](https://docs.trajectdata.com/serpwow/search-api/results/google/shopping)requests.<br />**Note**: For some products like medicines, Google Shopping page does not return a GPC ID. In those cases, `product_reviews` requests work by supplying the `product_id` value to BOTH `product_id` and `gpc_id`. Also, in such cases, **BOTH location + gl, hl & domain are required** (as opposed to either of those required in products containing a `gpc_id`)                                                                                                                                                                                                                               |
| `next_page_token` | `required` | Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each `search_type=product_reviews` result will return a `next_page_token` in its' `product_results.pagination` object. This `next_page_token` can be passed in to the `next_page_token` request parameter to retrieve the next page of Product Reviews results. The `next_page_token` for first page, however, is returned in the `product_results.reviews_next_page_token` property of the `search_type=product_details` requests and the token for second page onwards in returned in reviews array of `search_type=product_reviews`.                                                                                                              |
| `location`        | `optional` | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the SerpWow [built-in locations ](https://docs.trajectdata.com/serpwow/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).<br />**Note:** Google Product requests are **highly** location-sensitive. It's important that you set a `location` parameter for the geographic location in which the `product_id` was found. **Either&#x20;**`location`**&#x20;or&#x20;**`gl`**&#x20;and&#x20;**`hl`**&#x20;are required to get correct product reviews.** |
| `location_auto`   | `optional` | If the `location` field is set to a SerpWow [built-in location ](https://docs.trajectdata.com/serpwow/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/serpwow/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable.                                                                                                                                                                                                                                                                                       |
| `uule`            | `optional` | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. SerpWow automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `google_domain`   | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `gl`              | `optional` | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-countries). Defaults to `us` .<br />**Note:** **Either&#x20;**`location`**&#x20;or&#x20;**`gl`**&#x20;and&#x20;**`hl`**&#x20;are required to get correct product reviews.**                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `hl`              | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .<br />**Note:** **Either&#x20;**`location`**&#x20;or&#x20;**`gl`**&#x20;and&#x20;**`hl`**&#x20;are required to get correct product reviews.**                                                                                                                                                                                                                                                                                                                                                                                                                        |

***

**Next Steps**
     [Google Product Reviews Results](https://docs.trajectdata.com/serpwow/search-api/results/google/product-reviews)
